// ps2 interface definition

typedef unsigned char uchar;

extern uchar keyb_rin, keyb_rout;
extern uchar mouse_rin, mouse_rout;

#define PS2_KEYB_HASDATA	(keyb_rin != keyb_rout)
#define PS2_MOUSE_HASDATA	(mouse_rin != mouse_rout)

void ps2_init(void);

uchar ps2_keyb_getchar(void);
void ps2_keyb_putchar( uchar u);
uchar ps2_keyb_hasdata(void);

uchar ps2_mouse_getchar(void);
void ps2_mouse_putchar( uchar u);
uchar ps2_mouse_hasdata(void);


